#include <Servo.h>

Servo myservo;  // Create servo object to control a servo
int led = D0;    // Define pin for the LED

void setup() {
  myservo.attach(D1);  // Attach the servo on D0 to the servo object
  pinMode(led, OUTPUT); // Set the LED pin as output
}

void loop() {
  int pos;

  for (pos = 0; pos <= 180; pos += 1) { // Goes from 0 degrees to 180 degrees
    // In steps of 1 degree
    myservo.write(pos);  // Tell servo to go to position in variable 'pos'
    delay(15);           // Wait 15ms for the servo to reach the position
    digitalWrite(led, HIGH); // Turn on the LED
  }
  
  for (pos = 180; pos >= 0; pos -= 1) { // Goes from 180 degrees to 0 degrees
    myservo.write(pos);  // Tell servo to go to position in variable 'pos'
    delay(15);           // Wait 15ms for the servo to reach the position
    digitalWrite(led, LOW); // Turn off the LED
  }
}
